package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.JenisCutiService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.JenisCuti;
import com.jasamedika.medifirst2000.vo.JenisCutiVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.JenisCutiDao;

/**
 * Implement class for JenisCutiService
 * 
 * @author Generator
 * @param <T>
 */
@Service("jenisCutiService")
public class JenisCutiServiceImpl extends BaseVoServiceImpl implements JenisCutiService 
{	
	@Autowired
	private BaseConverterImpl<JenisCutiVO,JenisCuti>jenisCutiConverter;
	
	@Autowired
	private JenisCutiDao jenisCutiDao;

	
	@Override
	public Map<String, Object> saveJenisCuti(JenisCutiVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		JenisCuti model = new JenisCuti();
		model = jenisCutiConverter.transferVOToModel(vo,model);
	
		JenisCuti resultDomain = jenisCutiDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}